# Uses of Interface
waffle.windows.auth.IWindowsComputer

Packages that use IWindowsComputer
Package
Description
waffle.windows.auth
Waffle JNA Windows Authorization Package.
waffle.windows.auth.impl
Waffle JNA Windows Authorization Implementation Package.

## Uses of IWindowsComputer in waffle.windows.auth

Methods in waffle.windows.auth that return IWindowsComputer
Modifier and Type
Method
Description
`IWindowsComputer`
IWindowsAuthProvider.`getCurrentComputer()`
Retrieve the current computer information.

## Uses of IWindowsComputer in waffle.windows.auth.impl

Classes in waffle.windows.auth.impl that implement IWindowsComputer
Modifier and Type
Class
Description
`class`
`WindowsComputerImpl`
Windows Computer.
Methods in waffle.windows.auth.impl that return IWindowsComputer
Modifier and Type
Method
Description
`IWindowsComputer`
WindowsAuthProviderImpl.`getCurrentComputer()`